<%@ page contentType="text/html;charset=GBK" %>
<%@ page import="gbase.html.*,gbase.init.*,gbase.db.*,java.sql.*"%>
<%@ include file="../checkLogin.jsp" %>
<%
	
	String message="操作失败";
	String url="web_public_sum.jsp";
        boolean flag=true;
      try{
        WebConfig theWebConfig=new WebConfig();
        WebInfo webInfo=theWebConfig.getWebInfo(web_account);
        String web_title=webInfo.getWeb_name()+"友情链接页";
        String httpUrl="";
        
        //友情链接页
        httpUrl=cms_url+web_account+"/template/friend_link.jsp?web_account="+web_account+"&web_title="+web_title;
        String htmlFilePath="friend_link";
        String htmlFileName="index.html";
        HtmlGenerater theHtmlGenerater=new HtmlGenerater();
        flag=theHtmlGenerater.geneHtmlFile(web_account,httpUrl,htmlFilePath,htmlFileName); 
        
        if(flag)
          message = "操作成功!";
        else
          message = "操作失败!";
        }
        catch (Exception ex) {
          message = "操作失败!";
        }
%>
<script language="javascript">
	function process(message,url){
		alert(message);
		self.location = url;
	}
</script>
<html>
	<head>
		<title></title>
	</head>
	<body onload="javascript: process('<%=message%>','<%=url%>');">
	</body>
</html>